org.bdgenomics.cannoli.builder

# CommandBuilder

###
Related Doc: package builder

#### abstract class CommandBuilder extends Serializable

Linear Supertypes
Serializable, AnyRef, Any
Known Subclasses
LocalBuilder
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CommandBuilder
2. Serializable
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new CommandBuilder(executable: String)

   Attributes
     protected[org.bdgenomics.cannoli.builder]

2. #### new CommandBuilder()

   Attributes
     protected[org.bdgenomics.cannoli.builder]

### Abstract Value Members

1. #### abstract def build(): List[String]

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def add(arguments: Iterable[String]): CommandBuilder

5. #### final def add(arguments: <repeated...>[String]): CommandBuilder

6. #### final def addArgument(argument: String): CommandBuilder

7. #### final def addArguments(arguments: Iterable[String]): CommandBuilder

8. #### final def addArguments(arguments: <repeated...>[String]): CommandBuilder

9. #### final def addEnvironment(environment: Map[String, String]): CommandBuilder

10. #### final def addEnvironment(variable: String, value: String): CommandBuilder

11. #### final def addFile(file: String): CommandBuilder

12. #### final def addFiles(files: Iterable[String]): CommandBuilder

13. #### final def addFiles(files: <repeated...>[String]): CommandBuilder

14. #### final def addMount(source: String, target: String): CommandBuilder

15. #### final def addMount(mount: String): CommandBuilder

16. #### final def addMounts(mounts: Map[String, String]): CommandBuilder

17. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

18. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

21. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

22. #### final def getArguments(): List[String]

23. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

24. #### final def getEnvironment(): Map[String, String]

25. #### final def getExecutable(): String

26. #### final def getFiles(): List[String]

27. #### final def getFlankSize(): Integer

28. #### final def getImage(): String

29. #### final def getMounts(): Map[String, String]

30. #### final def getOptFlankSize(): Optional[Integer]

31. #### final def getOptTimeout(): Optional[Long]

32. #### final def getSudo(): Boolean

33. #### final def getTimeout(): Long

34. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

35. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

36. #### final def isSudo(): Boolean

37. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

38. #### final def notify(): Unit

    Definition Classes
      AnyRef

39. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

40. #### final def reset(): CommandBuilder

41. #### final def setExecutable(executable: String): CommandBuilder

42. #### final def setFlankSize(flankSize: Integer): CommandBuilder

43. #### final def setImage(image: String): CommandBuilder

44. #### final def setSudo(sudo: Boolean): CommandBuilder

45. #### final def setTimeout(duration: Long, timeUnit: TimeUnit): CommandBuilder

46. #### final def setTimeout(timeout: Long): CommandBuilder

47. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

48. #### def toString(): String

    Definition Classes
      AnyRef → Any

49. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

50. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

51. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped